stratos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chris snow <chsnow...@gmail.com>
Subject Re: wiki "4.0.0+Creating+a+Cartridge+on+OpenStack" broken links
Date Sat, 19 Apr 2014 17:07:56 GMT
No, the sentence is not correct.

- Line 375 of the puppetinstall script [1] shows that an error will be
thrown if run on Fedora Linux.
- It looks as though some of the puppet scripts only support 64 bit
operating systems [2].

I think we should only state the linux distributions, versions and
architectures that we know to work (e.g. Ubuntu 12.04 64bit).

In the long term, the supported distributions, versions and
architectures should probably be tested as part of our release
process.

---
[1] https://github.com/apache/incubator-stratos/blob/master/tools/puppet3-agent/puppetinstall/puppetinstall#L375
[2] https://github.com/apache/incubator-stratos/blob/master/tools/puppet3/modules/php/manifests/init.pp.cent#L21

On Sat, Apr 19, 2014 at 12:57 PM, Praneesha Chandrasiri
<praneesha@wso2.com> wrote:
> Hi all,
>
> So, can it be confirmed that the following sentence is correct in [1]:
> Follow the instructions below to spawn a Linux based configured instance on
> OpenStack:
>
> 1]
> https://cwiki.apache.org/confluence/display/STRATOS/4.0.0+Creating+a+Cartridge+on+OpenStack
>
> Please kindly advice.
>
>
>
>
> On Sat, Apr 19, 2014 at 7:27 AM, Thilina Piyasundara <thilinap@wso2.com>
> wrote:
>>
>> Check the commanda in the top section ..  which <command>
>>
>> On Apr 18, 2014 11:59 PM, "chris snow" <chsnow123@gmail.com> wrote:
>>>
>>> The script just finished with no output.  See the bug report here:
>>> https://github.com/thilinapiy/puppetinstall/issues/2
>>>
>>> I was installing on Debian as a Master node, so the result may be
>>> different on a puppet agent node.
>>>
>>> On Fri, Apr 18, 2014 at 6:15 PM, Udara Liyanage <udara@wso2.com> wrote:
>>> >
>>> > Hi,
>>> >
>>> > I have tried with only Ubuntu n Linux Mint. What was the issues you
>>> > faced
>>> > when installing on Debian. If you have not required package repo you
>>> > may
>>> > fail installation.
>>> > @thilinap can you confirm
>>> >
>>> >
>>> > Touched, not typed. Erroneous words are a feature, not a typo.
>>>
>>>
>>>
>>> --
>>> Check out my professional profile and connect with me on LinkedIn.
>>> http://lnkd.in/cw5k69
>
>
>
>
> --
> Thanks & Best Regards,
> Praneesha Chandrasiri
> Technical Writer
> WSO2 Inc.
> Mobile: +(94) 718156888
> E-mail: praneesha@wso2.com
>



-- 
Check out my professional profile and connect with me on LinkedIn.
http://lnkd.in/cw5k69

Mime
View raw message